osg::AnimationPathCallback Class Reference

`#include <AnimationPath>`

Inheritance diagram for osg::AnimationPathCallback:

## Public Member Functions

| AnimationPathCallback ()
| AnimationPathCallback (const AnimationPathCallback &apc, const CopyOp &copyop)
| META_Object (osg, AnimationPathCallback)
| AnimationPathCallback (AnimationPath *ap, double timeOffset=0.0, double timeMultiplier=1.0)
| AnimationPathCallback (const osg::Vec3d &pivot, const osg::Vec3d &axis, float angularVelocity)
void | setAnimationPath (AnimationPath *path)
AnimationPath * | getAnimationPath ()
const AnimationPath * | getAnimationPath () const
void | setPivotPoint (const Vec3d &pivot)
const Vec3d & | getPivotPoint () const
void | setUseInverseMatrix (bool useInverseMatrix)
bool | getUseInverseMatrix () const
void | setTimeOffset (double offset)
double | getTimeOffset () const
void | setTimeMultiplier (double multiplier)
double | getTimeMultiplier () const
virtual void | reset ()
void | setPause (bool pause)
bool | getPause () const
virtual double | getAnimationTime () const
virtual void | operator() (Node *node, NodeVisitor *nv)
void | update (osg::Node &node)
Public Member Functions inherited from osg::NodeCallback
| NodeCallback ()
| NodeCallback (const NodeCallback &nc, const CopyOp &copyop)
| META_Object (osg, NodeCallback)
virtual NodeCallback * | asNodeCallback ()
virtual const NodeCallback * | asNodeCallback () const
virtual bool | run (osg::Object *object, osg::Object *data)
Public Member Functions inherited from osg::Callback
| Callback ()
| Callback (const Callback &cb, const CopyOp &copyop)
| META_Object (osg, Callback)
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual StateAttributeCallback * | asStateAttributeCallback ()
virtual const StateAttributeCallback * | asStateAttributeCallback () const
virtual UniformCallback * | asUniformCallback ()
virtual const UniformCallback * | asUniformCallback () const
virtual DrawableUpdateCallback * | asDrawableUpdateCallback ()
virtual const DrawableUpdateCallback * | asDrawableUpdateCallback () const
virtual DrawableEventCallback * | asDrawableEventCallback ()
virtual const DrawableEventCallback * | asDrawableEventCallback () const
virtual DrawableCullCallback * | asDrawableCullCallback ()
virtual const DrawableCullCallback * | asDrawableCullCallback () const
virtual osgGA::EventHandler * | asEventHandler ()
virtual const osgGA::EventHandler * | asEventHandler () const
bool | traverse (osg::Object *object, osg::Object *data)
void | setNestedCallback (osg::Callback *cb)
osg::Callback * | getNestedCallback ()
const osg::Callback * | getNestedCallback () const
void | addNestedCallback (osg::Callback *nc)
void | removeNestedCallback (osg::Callback *nc)
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *) const
virtual const char * | libraryName () const =0
virtual const char * | className () const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

ref_ptr< AnimationPath > | _animationPath
osg::Vec3d | _pivotPoint
bool | _useInverseMatrix
double | _timeOffset
double | _timeMultiplier
double | _firstTime
double | _latestTime
bool | _pause
double | _pauseTime

## Protected Member Functions

| ~AnimationPathCallback ()
Protected Member Functions inherited from osg::NodeCallback
virtual | ~NodeCallback ()
Protected Member Functions inherited from osg::Callback
virtual | ~Callback ()
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Attributes inherited from osg::Callback
ref_ptr< Callback > | _nestedCallback
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## AnimationPathCallback() [1/4]

osg::AnimationPathCallback::AnimationPathCallback | ( |  | ) |

inline

References _firstTime, _latestTime, _pause, _pauseTime, _pivotPoint, _timeMultiplier, _timeOffset, and _useInverseMatrix.

Referenced by AnimationPathCallback(), and META_Object().

## AnimationPathCallback() [2/4]

osg::AnimationPathCallback::AnimationPathCallback | ( | const AnimationPathCallback & | apc,
|  | const CopyOp & | copyop )

inline

References _animationPath, _firstTime, _latestTime, _pause, _pauseTime, _pivotPoint, _timeMultiplier, _timeOffset, _useInverseMatrix, AnimationPathCallback(), and osg::NodeCallback::NodeCallback().

## AnimationPathCallback() [3/4]

osg::AnimationPathCallback::AnimationPathCallback | ( | AnimationPath * | ap,
|  | double | timeOffset = 0.0,
|  | double | timeMultiplier = 1.0 )

inline

Construct an AnimationPathCallback with a specified animation path.

References _animationPath, _firstTime, _latestTime, _pause, _pauseTime, _pivotPoint, _timeMultiplier, _timeOffset, and _useInverseMatrix.

## AnimationPathCallback() [4/4]

osg::AnimationPathCallback::AnimationPathCallback | ( | const osg::Vec3d & | pivot,
|  | const osg::Vec3d & | axis,
|  | float | angularVelocity )

Construct an AnimationPathCallback and automatically create an animation path to produce a rotation about a point.

## ~AnimationPathCallback()

osg::AnimationPathCallback::~AnimationPathCallback | ( |  | ) |

inline protected

## Member Function Documentation

## getAnimationPath() [1/2]

AnimationPath * osg::AnimationPathCallback::getAnimationPath | ( |  | ) |

inline

References _animationPath.

## getAnimationPath() [2/2]

const AnimationPath * osg::AnimationPathCallback::getAnimationPath | ( |  | ) | const

inline

References _animationPath.

## getAnimationTime()

virtual double osg::AnimationPathCallback::getAnimationTime | ( |  | ) | const

virtual

Get the animation time that is used to specify the position along the AnimationPath. Animation time is computed from the formula: ((_latestTime-_firstTime)-_timeOffset)*_timeMultiplier.

## getPause()

bool osg::AnimationPathCallback::getPause | ( |  | ) | const

inline

References _pause.

## getPivotPoint()

const Vec3d & osg::AnimationPathCallback::getPivotPoint | ( |  | ) | const

inline

References _pivotPoint.

## getTimeMultiplier()

double osg::AnimationPathCallback::getTimeMultiplier | ( |  | ) | const

inline

References _timeMultiplier.

## getTimeOffset()

double osg::AnimationPathCallback::getTimeOffset | ( |  | ) | const

inline

References _timeOffset.

## getUseInverseMatrix()

bool osg::AnimationPathCallback::getUseInverseMatrix | ( |  | ) | const

inline

References _useInverseMatrix.

## META_Object()

osg::AnimationPathCallback::META_Object | ( | osg | ,
|  | AnimationPathCallback | )

References AnimationPathCallback().

## operator()()

virtual void osg::AnimationPathCallback::operator() | ( | Node * | node,
|  | NodeVisitor * | nv )

virtual

Implements the callback.

Reimplemented from osg::NodeCallback.

## reset()

virtual void osg::AnimationPathCallback::reset | ( |  | ) |

virtual

## setAnimationPath()

void osg::AnimationPathCallback::setAnimationPath | ( | AnimationPath * | path | ) |

inline

References _animationPath.

## setPause()

void osg::AnimationPathCallback::setPause | ( | bool | pause | ) |

## setPivotPoint()

void osg::AnimationPathCallback::setPivotPoint | ( | const Vec3d & | pivot | ) |

inline

References _pivotPoint.

## setTimeMultiplier()

void osg::AnimationPathCallback::setTimeMultiplier | ( | double | multiplier | ) |

inline

References _timeMultiplier.

## setTimeOffset()

void osg::AnimationPathCallback::setTimeOffset | ( | double | offset | ) |

inline

References _timeOffset.

## setUseInverseMatrix()

void osg::AnimationPathCallback::setUseInverseMatrix | ( | bool | useInverseMatrix | ) |

inline

References _useInverseMatrix.

## update()

void osg::AnimationPathCallback::update | ( | osg::Node & | node | ) |

## Member Data Documentation

## _animationPath

ref_ptr<AnimationPath> osg::AnimationPathCallback::_animationPath

Referenced by AnimationPathCallback(), AnimationPathCallback(), getAnimationPath(), getAnimationPath(), and setAnimationPath().

## _firstTime

double osg::AnimationPathCallback::_firstTime

Referenced by AnimationPathCallback(), AnimationPathCallback(), and AnimationPathCallback().

## _latestTime

double osg::AnimationPathCallback::_latestTime

Referenced by AnimationPathCallback(), AnimationPathCallback(), and AnimationPathCallback().

## _pause

bool osg::AnimationPathCallback::_pause

Referenced by AnimationPathCallback(), AnimationPathCallback(), AnimationPathCallback(), and getPause().

## _pauseTime

double osg::AnimationPathCallback::_pauseTime

Referenced by AnimationPathCallback(), AnimationPathCallback(), and AnimationPathCallback().

## _pivotPoint

osg::Vec3d osg::AnimationPathCallback::_pivotPoint

Referenced by AnimationPathCallback(), AnimationPathCallback(), AnimationPathCallback(), getPivotPoint(), and setPivotPoint().

## _timeMultiplier

double osg::AnimationPathCallback::_timeMultiplier

Referenced by AnimationPathCallback(), AnimationPathCallback(), AnimationPathCallback(), getTimeMultiplier(), and setTimeMultiplier().

## _timeOffset

double osg::AnimationPathCallback::_timeOffset

Referenced by AnimationPathCallback(), AnimationPathCallback(), AnimationPathCallback(), getTimeOffset(), and setTimeOffset().

## _useInverseMatrix

bool osg::AnimationPathCallback::_useInverseMatrix

Referenced by AnimationPathCallback(), AnimationPathCallback(), AnimationPathCallback(), getUseInverseMatrix(), and setUseInverseMatrix().

The documentation for this class was generated from the following file:

- AnimationPath